mode(-1);

// specific part
libname="SUG3Dlib"
libtitle="SUG3D Toolbox"

SUG3D_PATH=get_absolute_file_path("loader.sce");

// revision number
libversion=unix_g('cat '+SUG3D_PATH+'VERSION');

// show general info
mprintf('Loading toolbox ...\n\n');
mprintf('%s version %s, Copyright (C) 2005 Dirk Reusch\n\n',libtitle,libversion);
mprintf('This is free software; see the source code for copying conditions.\n');
mprintf('There is ABSOLUTELY NO WARRANTY; not even for MERCHANTIBILITY or\n');
mprintf('FITNESS FOR A PARTICULAR PURPOSE. For details, read file COPYING.\n\n');

// check GDHE installation
mprintf(' - Checking GDHE installation ... ');
if getenv('GDHE','nil')=='nil' then
  mprintf('\n\n    NOTICE: Environment variable GDHE is not set. This is ok,');
  mprintf('\n    if you intend to use a remote GDHE server.');
  mprintf('\n    Otherwise download (http://www.laas.fr/~matthieu/gdhe) and');
  mprintf('\n    install GDHE on your local computer.');
  mprintf('\n\n                              ... ');
end         
mprintf('done\n');

// src
mprintf(' - Linking C functions        ...\n');
execstr("exec(SUG3D_PATH+pathconvert(""/src/loader.sce"",%f));");
mprintf('                              ... done\n');

// macros
mprintf(' - Definition of library      ... ');
execstr(libname+"=lib("""+SUG3D_PATH+pathconvert("macros/",%f)+""")");
mprintf('done\n');

//// man
mprintf(' - Adding help chapter        ... ');
add_help_chapter(libtitle,SUG3D_PATH+'/man');
mprintf('done\n');

// demos
mprintf(' - Adding demos               ... ');
add_demo('SUG3D Toolbox Demos',SUG3D_PATH+'/demos/sug3d.dem');
mprintf('done\n');

// tip of the day
mprintf('\n%s is now loaded. Click on ''Demos'' to find out more ...\n',libtitle);

clear SUG3D_PATH libtitle libname libversion

